Update Company

Beta
Update a company's attributes. * When the `independent company behavior` is enabled, you can assign a customer group to a Company using the `customerGroupId` field. Once assigned, the customer group will be associated with all users within that Company. If `customerGroupId` is set to 0, the customer group association will be removed from the Company, and all users within the Company will no longer have a group assigned. The `priceListAssign` field will not take effect; please configure the price list for the customer group directly in the BigCommerce control panel. * When the `independent company behavior` is turned off, the `customerGroupId` field will not take effect. You cannot change the association between B2B companies and BigCommerce customer groups. You will use the `priceListAssign` field to configure the price list assigned to the Company.

Authentication

authTokenstring

Required to authenticate requests. Include the token in a header parameter called authToken.

Path parameters

companyIdintegerRequired
ID of company.

Request

This endpoint expects an object.
companyNamestringOptional>=1 character
companyPhonestringOptional
companyEmailstringOptional>=1 character
addressLine1stringOptional
addressLine2stringOptional
citystringOptional>=1 character
statestringOptional>=1 character
countrystringOptional>=1 character

Country full name or ISO2 country code. For Example:

A country full name: Afghanistan

ISO2 Country code: AF

zipCodestringOptional
extraFieldslist of objectsOptional

To use customized extra fields with field names you need to first add company extra fields in Settings > Extra fields inside B2B edition.

e.g., If you want to create a new company with an extra integer field named licenseNO, you can use this structure [{‘fieldName’: ‘LicenseNO’, ‘fieldValue’: 10342340323}] in the request body.

uuidstringOptional
Company UUID indicates external ID
priceListAssignlist of objectsOptional
You can only enable this field for an MSF store.
customerGroupIdintegerOptional
BigCommerce Customer Group ID. Used to associate a BigCommerce Customer Group to a B2B company when the independent company behavior is enabled.

Response

OK
codedouble
metaobject
dataobject
Return company ID.

Errors

404
Not Found Error